Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2Vec3 Struct Reference

A 2D column vector with 3 elements. More...

`#include <b2Math.h>`

## Public Member Functions
| b2Vec3 ()
| Default constructor does nothing (for performance). More...
| b2Vec3 (float32 x, float32 y, float32 z)
| Construct using coordinates. More...
void | SetZero ()
| Set this vector to all zeros. More...
void | Set (float32 x_, float32 y_, float32 z_)
| Set this vector to some specified coordinates. More...
b2Vec3 | operator- () const
| Negate this vector. More...
void | operator+= (const b2Vec3 &v)
| Add a vector to this vector. More...
void | operator-= (const b2Vec3 &v)
| Subtract a vector from this vector. More...
void | operator*= (float32 s)
| Multiply this vector by a scalar. More...

## Public Attributes
float32 | x
float32 | y
float32 | z

## Detailed Description

A 2D column vector with 3 elements.

## Constructor & Destructor Documentation

b2Vec3 | ( |  | ) |
| inline

Default constructor does nothing (for performance).

b2Vec3 | ( | float32 | x,
|  | float32 | y,
|  | float32 | z
| ) |  |
| inline

Construct using coordinates.

## Member Function Documentation

void operator*= | ( | float32 | s | ) |
| inline

Multiply this vector by a scalar.

void operator+= | ( | const b2Vec3 & | v | ) |
| inline

Add a vector to this vector.

b2Vec3 operator- | ( |  | ) | const
| inline

Negate this vector.

void operator-= | ( | const b2Vec3 & | v | ) |
| inline

Subtract a vector from this vector.

void Set | ( | float32 | x_,
|  | float32 | y_,
|  | float32 | z_
| ) |  |
| inline

Set this vector to some specified coordinates.

void SetZero | ( |  | ) |
| inline

Set this vector to all zeros.

## Member Data Documentation

float32 x

float32 y

float32 z

The documentation for this struct was generated from the following file:

- Box2D/Common/b2Math.h